gsm0610_state_s Struct Reference

`#include <gsm0610.h>`

## Public Attributes

int | packing
| One of the packing modes.
int16_t | dp0 [280]
int16_t | z1
int32_t | L_z2
int16_t | mp
int16_t | u [8]
int16_t | LARpp [2][8]
int16_t | j
int16_t | nrp
int16_t | v [9]
int16_t | msr
int16_t | e [50]

## Detailed Description

GSM 06.10 FR codec state descriptor. This defines the state of a single working instance of the GSM 06.10 FR encoder or decoder.

## Member Data Documentation

## e

int16_t gsm0610_state_s::e[50]

Encoder data

## mp

int16_t gsm0610_state_s::mp

Pre-emphasis

## msr

int16_t gsm0610_state_s::msr

Decoder postprocessing

## nrp

int16_t gsm0610_state_s::nrp

Long term synthesis

Referenced by gsm0610_init().

## u

int16_t gsm0610_state_s::u[8]

Short term delay filter

## v

int16_t gsm0610_state_s::v[9]

Short term synthesis

## z1

int16_t gsm0610_state_s::z1

Preprocessing

The documentation for this struct was generated from the following file:

- private/gsm0610.h